Data Structures | Defines | Typedefs | Variables

# goal_base.h File Reference

Goal base class. More...

`#include "company_type.h"`
`#include "goal_type.h"`
`#include "core/pool_type.hpp"`

Go to the source code of this file.

## Data Structures
struct | Goal
| Struct about subsidies, offered and awarded. More...
## Defines
#define | FOR_ALL_GOALS_FROM(var, start) FOR_ALL_ITEMS_FROM(Goal, goal_index, var, start)
#define | FOR_ALL_GOALS(var) FOR_ALL_GOALS_FROM(var, 0)
## Typedefs
typedef Pool< Goal, GoalID, 1, 256 > | GoalPool
## Variables
GoalPool | _goal_pool

## Detailed Description

Goal base class.

Definition in file goal_base.h.